### Class

# Phosh Head

since: 0

#### Description [src]

    class Phosh.Head : GObject.Object
    {
      name: gchar*,
      description: gchar*,
      vendor: gchar*,
      product: gchar*,
      serial: gchar*,
      enabled: gboolean,
      x: int32_t,
      y: int32_t,
      transform: wl_output_transform,
      scale: double,
      mode: PhoshHeadMode*,
      modes: GPtrArray*,
      pending: pending,
      conn_type: PhoshMonitorConnectorType,
      wlr_head: zwlr_output_head_v1*
    }

An output head

A output head (usually a monitor). Only enabled heads correspond to a wl_output and `PhoshMonitor`. `PhoshHead` should be considered an implementation detail of `PhoshMonitorManager` and not be used outside of it.

Available since: 0

#### Ancestors

- GObject

#### Constructors

###### phosh_head_new_from_wlr_head

No description available.

since: 0

#### Instance methods

###### phosh_head_calculate_supported_mode_scales

No description available.

since: 0

###### phosh_head_clear_pending

Clear all pending state. This can be used if e.g. pending state was set but the output configuration not submitted.

since: 0

###### phosh_head_find_mode_by_name

No description available.

since: 0

###### phosh_head_get_enabled

No description available.

since: 0

###### phosh_head_get_preferred_mode

Get the preferred mode.

since: 0

###### phosh_head_get_wlr_head

Get the heads wlr_head.

since: 0

###### phosh_head_is_builtin

No description available.

since: 0

###### phosh_head_set_pending_enabled

Sets a head to pending enabled. This will become active after the next call to #phosh_monitor_manager_apply_monitor_config().

since: 0

###### phosh_head_set_pending_transform

No description available.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.Head:name

No description available.

since: 0

###### Phosh.Head:wlr-head

No description available.

since: 0

#### Signals

###### Phosh.Head::head-finished

No description available.

since: 0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshHeadClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.